# Express template

Ce repo est un simple template pour un projet Express écrit en ES6.

## Les scripts

Pour démarrer le projet en mode développement il faut utiliser la commande `npm run watch`. Cette commande permet de relancer automatiquement le server dès qu'un fichier est modifié.

En mode production il faut utiliser `npm run build` puis `npm start`. La première commande va transpiler le code en une version optimisée et la déployer dans le dossier `dist/`. La seconde va simplement lancer un serveur Node sur ce dossier.

Pour linter le code et corriger la plupart des problèmes automatiquement il y a la commande `npm run lint:fix`.

Il y a ensuite 2 commandes pour tester le code :
- `npm run test:lint` qui permet de vérifier que le code est correctement écris (tabulation, ;, const/let, etc)
- `npm run test:jest` qui permet de lancer les tests unitaires et d'intégration

Ces 2 commandes sont automatiquement lancé avec `npm test` manuellement ou lors d'un commit via Huksy.