import express from 'express';
import { authUser } from '../../middleware/Users';

// eslint-disable-next-line new-cap
const router = express.Router();

router.route('/').post(async (req, res, next) => {
    try {
        const data = await authUser(req);

        res.status(201).json(data);
    } catch (err) {
        next(err);
    }
});

export default router;
